models/Peces.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "peces".
 *
 * @property int $id
 * @property string|null $nombre
 * @property int|null $precio
 * @property string|null $sombra
 * @property string|null $lugaraparicion
 *
 * @property Jugadores[] $idjugadores
 * @property Mesespeces[] $mesespeces
 * @property Pescan[] $pescans
 */
class Peces extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'peces';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['precio'], 'integer'],
            [['nombre'], 'string', 'max' => 30],
            [['sombra', 'lugaraparicion'], 'string', 'max' => 50],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'precio' => 'Precio',
            'sombra' => 'Sombra',
            'lugaraparicion' => 'Lugar de aparición',
        ];
    }

    /**
     * Gets query for [[Idjugadores]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getIdjugadores()
    {
        return $this->hasMany(Jugadores::class, ['id' => 'idjugadores'])->viaTable('pescan', ['idpeces' => 'id']);
    }

    /**
     * Gets query for [[Mesespeces]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getMesespeces()
    {
        return $this->hasMany(Mesespeces::class, ['idpeces' => 'id']);
    }

    /**
     * Gets query for [[Pescans]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getPescans()
    {
        return $this->hasMany(Pescan::class, ['idpeces' => 'id']);
    }
}

controllers/PecesController.php
<?php

namespace app\controllers;

use app\models\Peces;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * PecesController implements the CRUD actions for Peces model.
 */
class PecesController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Peces models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Peces::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Peces model.
     * @param int $id ID
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Peces model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new Peces();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'id' => $model->id]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Peces model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param int $id ID
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Peces model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param int $id ID
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Peces model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param int $id ID
     * @return Peces the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Peces::findOne(['id' => $id])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }   
    
       /** consulta para que muestre los peces que tengo en la base de datos junto con el nombre, el precio, la sombra y el lugar de aparicion*/
      public function actionConsultaPeces()
    {
    $dataProvider = new ActiveDataProvider([
        'query' => Peces::find()->select('id, nombre, precio, sombra, lugaraparicion'),
        'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
    ]);

    return $this->render('consulta-peces', [
        'dataProvider' => $dataProvider,
    ]);
}

/* CONSULTAS PARA EL DESPLEGABLE DE LAS SOMBRAS */

/* Consulta para que muestre la sombra pequeña de los peces en el desplegable */
    public function actionMuypequena(){
     $dataProvider = new ActiveDataProvider([
        'query' => Peces::find()
            ->select(['id','nombre'])
            ->where(['sombra' => 'muy pequeña']),
             ]);
        return $this->render("peces-con-sombra-muy-pequena",[
            "dataProvider"=>$dataProvider,
        ]);
    }

/* Consulta para que muestre la sombra pequeña de los peces en el desplegable */
    public function actionPequena(){
     $dataProvider = new ActiveDataProvider([
        'query' => Peces::find()
            ->select(['id','nombre'])
            ->where(['sombra' => 'pequeña']),
         'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("peces-con-sombra-pequena",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestre la sombra mediana de los peces en el desplegable */
    public function actionMediana(){
     $dataProvider = new ActiveDataProvider([
        'query' => Peces::find()
            ->select(['id','nombre'])
            ->where(['sombra' => 'mediana']),
         'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("peces-con-sombra-mediana",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestre la sombra grande de los peces en el desplegable */      
   public function actionGrande(){
     $dataProvider = new ActiveDataProvider([
        'query' => Peces::find()
            ->select(['id','nombre'])
            ->where(['sombra' => 'grande']),
         'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("peces-con-sombra-grande",[
            "dataProvider"=>$dataProvider,
        ]);
    } 
    
/* Consulta para que muestre la sombra estrecha de los peces en el desplegable */  
    public function actionEstrecha(){
     $dataProvider = new ActiveDataProvider([
        'query' => Peces::find()
            ->select(['id','nombre'])
            ->where(['sombra' => 'estrecha']),
         'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("peces-con-sombra-estrecha",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestre la sombra gigante de los peces en el desplegable */    
    public function actionGigante(){
     $dataProvider = new ActiveDataProvider([
        'query' => Peces::find()
            ->select(['id','nombre'])
            ->where(['sombra' => 'gigante']),
         'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("peces-con-sombra-gigante",[
            "dataProvider"=>$dataProvider,
        ]);
    }
  
 /* CONSULTAS PARA EL DESPLEGABLE DE LAS LUGARES DE APARICIÓN */
  
/* Consulta para que muestre el lugar de aparición en el rio de los peces en el desplegable */  
    public function actionRio(){
     $dataProvider = new ActiveDataProvider([
        'query' => Peces::find()
            ->select(['id','nombre'])
            ->where(['lugaraparicion' => 'rio']),
         'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("lugar-aparicion-rio",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestre el lugar de aparición en el mar de los peces en el desplegable */  
    public function actionMar(){
     $dataProvider = new ActiveDataProvider([
        'query' => Peces::find()
            ->select(['id','nombre'])
            ->where(['lugaraparicion' => 'mar']),
         'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("lugar-aparicion-mar",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestre el lugar de aparición en el muelle de los peces en el desplegable */  
    public function actionMuelle(){
     $dataProvider = new ActiveDataProvider([
        'query' => Peces::find()
            ->select(['id','nombre'])
            ->where(['lugaraparicion' => 'muelle']),
         'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("lugar-aparicion-muelle",[
            "dataProvider"=>$dataProvider,
        ]);
    }   
    
/* Consulta para que muestre el lugar de aparición en el estanque de los peces en el desplegable */  
    public function actionEstanque(){
     $dataProvider = new ActiveDataProvider([
        'query' => Peces::find()
            ->select(['id','nombre'])
            ->where(['lugaraparicion' => 'estanque']),
         'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("lugar-aparicion-estanque",[
            "dataProvider"=>$dataProvider,
        ]);
    } 
    
/* CONSULTAS PARA EL DESPLEGABLE DE LOS MESES*/ 
    /* Consulta para que muestre los peces de enero */  
    public function actionPecesenero() {
    $dataProvider = new ActiveDataProvider([
        'query' => Peces::find()
            ->select(['peces.id','nombre'])

views/peces/_form.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/** @var yii\web\View $this */
/** @var app\models\Peces $model */
/** @var yii\widgets\ActiveForm $form */
?>

<div class="peces-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'nombre')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'precio')->textInput() ?>

    <?= $form->field($model, 'sombra')->textInput() ?>

    <?= $form->field($model, 'lugaraparicion')->textInput(['maxlength' => true]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/peces/index.php
<?php

use app\models\Peces;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\ActionColumn;
use yii\grid\GridView;

/** @var yii\web\View $this */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'Peces';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="peces-index">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Create Peces', ['create'], ['class' => 'btn btn-success']) ?>
    </p>


    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'columns' => [
         

            'id',
            'nombre',
            'precio',
            'sombra',
            'lugaraparicion',
            [
                'class' => ActionColumn::className(),
                'urlCreator' => function ($action, Peces $model, $key, $index, $column) {
                    return Url::toRoute([$action, 'id' => $model->id]);
                 }
            ],
        ],
    ]); ?>


</div>

views/peces/lugar-aparicion-estanque.php
<?php
use yii\widgets\ListView;
use yii\helpers\html;
?>

<? desplegable de los lugares de aparición de los peces ?>

<div class="btn-group btn-desplegablelugar " role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-lugar" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Aparición
     </button>
        <div class="dropdown-menu btn-lugar" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Rio', ['peces/rio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Estanque', ['peces/estanque'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mar', ['peces/mar'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Muelle', ['peces/muelle'], ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>

<? desplegable de los tipos de sombra de los peces ?>

<div class="btn-group btn-desplegablesombra " role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-sombra" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Sombra
     </button>
        <div class="dropdown-menu btn-sombra" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Muy pequeña', ['peces/muypequena'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Pequeña', ['peces/pequena'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mediana', ['peces/mediana'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Grande', ['peces/grande'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Gigante', ['peces/gigante'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Estrecha', ['peces/estrecha'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>

<? desplegable de los meses que sale cada pez ?>

<div class="btn-group btn-desplegablemeses " role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-lugar" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Meses
     </button>
        <div class="dropdown-menu btn-lugar" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Enero', ['peces/pecesenero'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Febrero', ['peces/pecesfebrero'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Marzo', ['peces/pecesmarzo'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Abril', ['peces/pecesabril'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mayo', ['peces/pecesmayo'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Junio', ['peces/pecesjunio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Julio', ['peces/pecesjulio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Agosto', ['peces/pecesagosto'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Septiembre', ['peces/pecesseptiembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Octubre', ['peces/pecesoctubre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Noviembre', ['peces/pecesnoviembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Diciembre', ['peces/pecesdiciembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>


<div class="row">
    <div class=" body-content">
        <h1 class="encabezadoObras">Peces</h1>
        <h5>Algunos ejemplares son más complicados de capturar que otros así que ármate de paciencia.</h5>
<?= ListView::widget([
    'dataProvider' => $dataProvider,
    'itemView' => '_consulta-peces', // Nombre de la vista parcial para cada ítem
    'layout' => "{items}\n{pager}", // Diseño de la lista
        'itemOptions' => [
                    'style' => 'float: left; justify-content: center; margin-top: 10px; width:33%; ',
                ],
]) ?>

views/peces/lugar-aparicion-mar.php
<?php
use yii\widgets\ListView;
use yii\helpers\html;
?>

<? desplegable de los lugares de aparición de los peces ?>

<div class="btn-group btn-desplegablelugar " role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-lugar" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Aparición
     </button>
        <div class="dropdown-menu btn-lugar" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Rio', ['peces/rio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Estanque', ['peces/estanque'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mar', ['peces/mar'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Muelle', ['peces/muelle'], ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>

<? desplegable de los tipos de sombra de los peces ?>

<div class="btn-group btn-desplegablesombra " role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-sombra" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Sombra
     </button>
        <div class="dropdown-menu btn-sombra" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Muy pequeña', ['peces/muypequena'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Pequeña', ['peces/pequena'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mediana', ['peces/mediana'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Grande', ['peces/grande'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Gigante', ['peces/gigante'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Estrecha', ['peces/estrecha'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>


<? desplegable de los meses que sale cada pez ?>

<div class="btn-group btn-desplegablemeses " role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-lugar" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Meses
     </button>
        <div class="dropdown-menu btn-lugar" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Enero', ['peces/pecesenero'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Febrero', ['peces/pecesfebrero'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Marzo', ['peces/pecesmarzo'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Abril', ['peces/pecesabril'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mayo', ['peces/pecesmayo'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Junio', ['peces/pecesjunio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Julio', ['peces/pecesjulio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Agosto', ['peces/pecesagosto'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Septiembre', ['peces/pecesseptiembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Octubre', ['peces/pecesoctubre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Noviembre', ['peces/pecesnoviembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Diciembre', ['peces/pecesdiciembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>


<div class="row">
    <div class=" body-content">
        <h1 class="encabezadoObras">Peces</h1>
        <h5>Algunos ejemplares son más complicados de capturar que otros así que ármate de paciencia.</h5>
<?= ListView::widget([
    'dataProvider' => $dataProvider,
    'itemView' => '_consulta-peces', // Nombre de la vista parcial para cada ítem
    'layout' => "{items}\n{pager}", // Diseño de la lista
        'itemOptions' => [
                    'style' => 'float: left; justify-content: center; margin-top: 10px; width:33%; ',
                ],
]) ?>

views/peces/lugar-aparicion-muelle.php
<?php
use yii\widgets\ListView;
use yii\helpers\html;
?>

<? desplegable de los lugares de aparición de los peces ?>

<div class="btn-group btn-desplegablelugar " role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-lugar" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Aparición
     </button>
        <div class="dropdown-menu btn-lugar" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Rio', ['peces/rio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Estanque', ['peces/estanque'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mar', ['peces/mar'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Muelle', ['peces/muelle'], ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>

<? desplegable de los tipos de sombra de los peces ?>

<div class="btn-group btn-desplegablesombra " role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-sombra" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Sombra
     </button>
        <div class="dropdown-menu btn-sombra" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Muy pequeña', ['peces/muypequena'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Pequeña', ['peces/pequena'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mediana', ['peces/mediana'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Grande', ['peces/grande'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Gigante', ['peces/gigante'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Estrecha', ['peces/estrecha'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>

<? desplegable de los meses que sale cada pez ?>

<div class="btn-group btn-desplegablemeses " role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-lugar" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Meses
     </button>
        <div class="dropdown-menu btn-lugar" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Enero', ['peces/pecesenero'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Febrero', ['peces/pecesfebrero'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Marzo', ['peces/pecesmarzo'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Abril', ['peces/pecesabril'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mayo', ['peces/pecesmayo'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Junio', ['peces/pecesjunio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Julio', ['peces/pecesjulio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Agosto', ['peces/pecesagosto'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Septiembre', ['peces/pecesseptiembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Octubre', ['peces/pecesoctubre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Noviembre', ['peces/pecesnoviembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Diciembre', ['peces/pecesdiciembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>



<div class="row">
    <div class=" body-content">
        <h1 class="encabezadoObras">Peces</h1>
        <h5>Algunos ejemplares son más complicados de capturar que otros así que ármate de paciencia.</h5>
<?= ListView::widget([
    'dataProvider' => $dataProvider,
    'itemView' => '_consulta-peces', // Nombre de la vista parcial para cada ítem
    'layout' => "{items}\n{pager}", // Diseño de la lista
        'itemOptions' => [
                    'style' => 'float: left; justify-content: center; margin-top: 10px; width:33%; ',
                ],
]) ?>